<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetTransitionPermissions Method (IEdmUserMgr9)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr9 Interface : SetTransitionPermissions Method (IEdmUserMgr9)

Visual Basic
C#
C++/CLI

poPermissions
  Array of EdmTransitionPermission structures; one structure for each permission assignment

Sets transition permissions.

# Syntax

Visual Basic |
--- | ---

    Sub SetTransitionPermissions( _
       ByVal poPermissions() As EdmTransitionPermission _
    )

C# |
--- | ---

    void SetTransitionPermissions(
       EdmTransitionPermission[] poPermissions
    )

C++/CLI |
--- | ---

    void SetTransitionPermissions(
    &   array<EdmTransitionPermission>^ poPermissions
    )

#### Parameters

poPermissions
  Array of EdmTransitionPermission structures; one structure for each permission assignment

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The logged-in user lacks the EdmSysPerm.EdmSysPerm_EditUserMgr permission.

# See Also

####

IEdmUserMgr9 Interface
IEdmUserMgr9 Members
IEdmUserMgr9::GetTransitionPermissions Method ()

# Availability

SOLIDWORKS PDM Professional 2017